#### D.5.2.9 powSumSym

Procedure from library `chern.lib` (see chern_lib).

Usage:
  powSumSym(l [,N]); l a list of polynomials, N integer

Return:
  list of polynomials

Purpose:
  computes the expressions for the sums of powers [up to degree N] in terms of the elementary symmetric polynomials (entries of l),

Note:
  returns the terms of the Chern character
  multiplied by the corresponding factorials

Example:

    LIB "chern.lib";
    // the expressions of the first 3 sums of powers of 3 variables a(1), a(2), a(3)
    // in terms of the elementary symmetric polynomials c(1), c(2), c(3):
    ring r = 0, (c(1..3)), dp;
    list l=(c(1..3));
    print(powSumSym(l));
    // The first 5 sums in the same situation
    print(powSumSym(l, 5));

User manual for Singular version 4.4.1, 2025, generated by texi2html.